(function ($) {
    // for sticky Nav

    var stickyNavTop = $('.storeLHeader').offset().top;
    var stickyNav = function () {
        var scrollTop = $(window).scrollTop();
        if (scrollTop > stickyNavTop) {
            $('.storeLHeader').addClass('sticky');
        } else {
            $('.storeLHeader').removeClass('sticky');
        }
    };


    $(window).scroll(function () {
        stickyNav();
    });



    // for Open Navigation
    $(".mobile-burger").click(function () {
        $(".storeLHeader .nav").addClass("open");
    });

    // For Close Navigation
    $(".close-btn, .menu_overlay").click(function () {
        $(".storeLHeader .nav").removeClass("open");
    });

    // for menu open close
    $(".top-level-link .mega-menu-icon").click(function () {
        $(this).parents(".top-level-link").toggleClass("open")
        $(this).parents(".top-level-link").siblings(".top-level-link.open").removeClass("open");
    });

    function menueopener() {
        windowwidth = $(window).width();
        if (windowwidth < 767) {
            $(".sub-menu-block .sub-menu-head a").click(function (event) {
                event.preventDefault();
                $(this).parents(".sub-menu-head").siblings(".sub-menu-lists").toggleClass("open");
                $(this).parents(".sub-menu-head").toggleClass("open")
            })
        }

    }
    menueopener();


    // For Footer popular searches
    $(".show-hide").click(function () {
        $(this).toggleClass("open")
        $(".popular-search").toggleClass("open")
    });
    // For Footer Menu

    $(".footer-nav .dropdown").click(function () {        
        $(this).toggleClass("open");
        $(this).siblings(".footer-menu").toggleClass("open");
    });

    // Footer Accorian


})(jQuery);

